MediaWiki:Monobook.css

From Homestar Runner Wiki

(Difference between revisions)
Jump to: navigation, search
m (fix path)
(throwback styles)
Line 4: Line 4:
     font-size: 10px;
     font-size: 10px;
     font-family: verdana, geneva, arial, helvetica, sans-serif;
     font-family: verdana, geneva, arial, helvetica, sans-serif;
-
     background: #ECECEC url(/skins/monobook/headbg-snow.png) 0 0 repeat-x;
+
     background: #ECECEC url(/skins/monobook/headbg-mls.png) 0 0 repeat;
  }
  }
Line 34: Line 34:
     background-color: White;
     background-color: White;
     border: 1px solid #2f6fab;  
     border: 1px solid #2f6fab;  
-
    font-weight: normal;
 
  }  
  }  
-
 
-
#searchGoButton {
 
-
    font-weight: normal;
 
-
}
 
  #searchInput {
  #searchInput {
Line 91: Line 86:
  {
  {
   background: url(/skins/common/images/wiki-apr1.gif) no-repeat !important;
   background: url(/skins/common/images/wiki-apr1.gif) no-repeat !important;
 +
}
 +
 +
/* Throwback styles */
 +
 +
#content {
 +
    border: 2px solid #000;
 +
}
 +
 +
h1, h2, h3, h4, h5, h6 {
 +
    border-bottom: 2px solid #000;
 +
}
 +
 +
.catlinks {
 +
    border: 2px solid #000;
 +
}
 +
 +
#toc,
 +
.toc,
 +
.mw-warning {
 +
    border: 2px solid #000;
 +
}
 +
 +
.toccolours {
 +
    border: 2px solid #000;
 +
}
 +
 +
.pBody {
 +
    border: 2px solid #000;
 +
}
 +
 +
#column-one, .portlet h5, .searchButton {
 +
    font-weight: bold;
 +
}
 +
 +
#p-cactions li {
 +
    border: 2px solid #000;
 +
}
 +
 +
#p-cactions li a, #p-personal li a {
 +
    color: #24779e;
 +
}
 +
 +
#p-cactions li.selected {
 +
    border-color: #FFC128;
 +
    padding: 0 0 .2em 0;
 +
}
 +
 +
#p-cactions li.selected a {
 +
    padding: 0 1em .3em !important;
 +
    background-color: white;
 +
}
 +
#p-cactions li a:hover {
 +
    text-decoration: none;
 +
    background-color: white;
 +
}
 +
 +
#preftoc li.selected {
 +
    border: 2px solid #000;
 +
}
 +
 +
#preferences {
 +
    border: 2px solid #000;
 +
}
 +
 +
.prefsection fieldset {
 +
    border: 2px solid #000;
 +
}
 +
 +
div#userlogin form#userlogin2 {
 +
    border: 2px solid #000;
 +
}
 +
 +
.previewnote {
 +
    border-bottom: 2px solid #000;
 +
}
 +
 +
table.mw_metadata td, table.mw_metadata th {
 +
    border: 2px solid #000;
 +
}
 +
 +
ul#filetoc {
 +
    border: 2px solid #000;
 +
}
 +
 +
#footer {
 +
    border-top: 2px solid #fabd23;
 +
    border-bottom: 2px solid #fabd23;
  }
  }

Revision as of 02:03, 2 January 2010

 /* edit this file to customize the monobook skin for the entire site */

 body {
    font-size: 10px;
    font-family: verdana, geneva, arial, helvetica, sans-serif;
    background: #ECECEC url(/skins/monobook/headbg-mls.png) 0 0 repeat;
 }

 #p-personal li a { color: #06f; }

 #p-personal li a:hover {
    text-decoration: underline;
 }

 #p-cactions li a { color: #00c; }

 #p-cactions .new a { color:#c00; }

 #content {
    margin-left: 12.6em;
 }

 #p-cactions {
    left: 11.9em;
 }

 .portlet {
    width: 12em;
 }

 input.searchButton {
    padding: 0 0.4em !important;
    cursor: pointer;
    background-color: White;
    border: 1px solid #2f6fab; 
 } 

 #searchInput {
    border: 1px solid #2f6fab; 
 } 

 input[type="radio"], input[type="checkbox"] {
    border: none;
 }

 select {
    border: 1px solid #2f6fab; 
    color: Black;
 }

 .featuredstar
 {
   display: block ! important;
   position: absolute;
   right: 10px;
   top: 3px;
 }

 /* Removing white padding from thumbs on colored backgrounds */

  .nonwhite div.thumb
 {
   border: none;
   margin-top: 10px;
   margin-bottom: 0px;
 }

  .nonwhite div.tleft
 {
   border: none;
 }

  .nonwhite div.tright
 {
   margin-left: 13px;
 }

  body.page-Main_Page h1.firstHeading,
  body.page-User_It_s_dot_com_Main_Page h1.firstHeading,
  body.page-User_It_s_dot_com_Main_Page span.subpages
 {
   display: none;
 }

  body.page-Special_Scramble #p-logo a
 {
   background: url(/skins/common/images/wiki-apr1.gif) no-repeat !important;
 }
 
 /* Throwback styles */
 
 #content {
    border: 2px solid #000;
 }

 h1, h2, h3, h4, h5, h6 {
    border-bottom: 2px solid #000;
 }

 .catlinks {
    border: 2px solid #000;
 }

 #toc,
 .toc,
 .mw-warning {
    border: 2px solid #000;
 }

 .toccolours {
    border: 2px solid #000;
 }

 .pBody {
    border: 2px solid #000;
 }

 #column-one, .portlet h5, .searchButton {
    font-weight: bold; 
 }
 
 #p-cactions li {
    border: 2px solid #000;
 }

 #p-cactions li a, #p-personal li a {
    color: #24779e;
 }

 #p-cactions li.selected {
    border-color: #FFC128;
    padding: 0 0 .2em 0;
 }

 #p-cactions li.selected a {
    padding: 0 1em .3em !important;
    background-color: white;
 }
#p-cactions li a:hover {
    text-decoration: none;
    background-color: white;
 }

 #preftoc li.selected {
    border: 2px solid #000;
 }

 #preferences {
    border: 2px solid #000;
 }

 .prefsection fieldset {
    border: 2px solid #000;
 }

 div#userlogin form#userlogin2 {
    border: 2px solid #000;
 }

 .previewnote {
    border-bottom: 2px solid #000;
 }

 table.mw_metadata td, table.mw_metadata th {
    border: 2px solid #000;
 }

 ul#filetoc {
    border: 2px solid #000;
 }
 
 #footer {
    border-top: 2px solid #fabd23;
    border-bottom: 2px solid #fabd23;
 }
Personal tools